<?php
/**
 * Template part for displaying posts
 *
 * @package Continental Restaurant
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="card-item card-blog-post">
		<?php
		    // Check if there is a gallery embedded in the post content
		    $post_id = get_the_ID(); // Add this line to get the post ID
		    $continental_restaurant__gallery_shortcode = get_post_gallery();

			if (!is_singular() && !empty($continental_restaurant__gallery_shortcode)) {
				if (!empty($continental_restaurant__gallery_shortcode)) {
					// Display the gallery
					echo '<div class="embedded-gallery">' . do_shortcode($continental_restaurant__gallery_shortcode) . '</div>';
				}
			}
		?>
		
		<header class="entry-header">
			<?php
			if ( 'post' === get_post_type() ) :

				if (is_singular()) {
					
					do_action('continental_restaurant_breadcrumbs');
				}
				
				if ( is_singular() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
				endif;

				?>
					<div class="entry-meta">
						<?php
						continental_restaurant_posted_on();
						continental_restaurant_posted_by();
						?>
					</div><!-- .entry-meta -->

			<?php endif; ?>
		</header>
		<?php 
		$continental_restaurant_blog_thumbnail = absint(get_theme_mod('continental_restaurant_enable_blog_post_image', 1));
		if($continental_restaurant_blog_thumbnail == 1 && is_singular()) { 
			if (has_post_thumbnail()) { ?>
				<div class="card-media">
					<?php continental_restaurant_post_thumbnail(); ?>
				</div>
			<?php } 
		} ?>
		<div class="entry-content">
			<?php
				if ( is_singular() ) :
					the_content();
				else :
					echo "<p>".wp_trim_words(get_the_excerpt(),get_theme_mod('continental_restaurant_excerpt_limit', 25))."</p>";
					?>
					<?php if ( get_theme_mod( 'continental_restaurant_read_more_text', __('Continue Reading....', 'continental-restaurant') ) ) : ?>
					<a href="<?php the_permalink(); ?>" class="btn read-btn text-uppercase">
						<?php echo esc_html( get_theme_mod( 'continental_restaurant_read_more_text', __('Continue Reading....', 'continental-restaurant') ) ); ?></a>
					<?php endif; ?>
				<?php endif; ?>


			<?php
			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'continental-restaurant' ),
					'after'  => '</div>',
				)
			);
			?>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->